Ticket #45 (closed defect: fixed)

Opened 11 years ago

Last modified 6 years ago

savannah: Build system does not allow cross compiling

Reported by: roffermanns Owned by: slavazanko
Priority: major Milestone: 4.7.3
Component: mc-core Version: master
Keywords: Cc: zaytsev
Blocked By: Blocking:
Branch state: merged Votes for changeset: committed-master committed-stable

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?16383

Submitted by:Rolf Offermanns <roffermanns>Submitted on:Wed 19 Apr 2006 01:23:19 PM UTC
Category:NoneSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:4.6.1Operating System:GNU/Linux

Original submission:

The man2hlp program is build using the target compiler. The 
resulting executable therefore does not work on the build host. 
Since the man2hlp program is needed during compile time, the build 
will fail.
The auto* stuff must be changed to include a CC_FOR_BUILD macro 
which must be used for the man2hlp (and any other used-at-
compile-time) application. 

Comment 1 by Leonard den Ottolander <leonardjo> at Wed 21 Jun 2006 05:37:31 PM UTC:

Please provide a patch. Thanks.

Comment 2 by Rolf Offermanns <roffermanns> at Thu 22 Jun 2006 06:16:38 AM UTC:

I would, but I have no clue about the auto* stuff. Sorry.

Comment 3 by Pavel Tsekov <ptsekov> at Thu 22 Jun 2006 06:56:43 AM UTC:

The major problem here is that man2hlp relies on glib. This 
complicates the task of making it build in cross environment. One 
way to fix this is to drop the glib dependency - there are tree or 
four functions which need to be replaced. When I have time I'll do 
this if noone beats me to it. I have already made some changes to 
the auto stuff so that MC will build properly in cross environment
but whithout changing man2hlp they are of no use.

Change History

comment:1 Changed 11 years ago by metux

I really vote for getting rid of glib.
Instead we should write some tiny lib with the few primary things needed from glib.

comment:2 Changed 11 years ago by metux

IMHO we just should rewrite the whole man2hlp program in perl.

Maybe takes a bit more work in the first place, but should save a lot hassle in the future.

comment:3 Changed 10 years ago by styx

  • Milestone set to future releases

comment:4 Changed 9 years ago by slavazanko

  • Owner set to slavazanko
  • Status changed from new to accepted
  • severity set to on review
  • Keywords stable-candidate added
  • Milestone changed from Future Releases to 4.7.3

Created branch 45_rewrite_man2hlp
Initial changeset:649487fac17bfdd0bc9ef39c6e0852802669b1e6

Review, please.

comment:5 Changed 9 years ago by andrew_b

  • Votes for changeset set to andrew_b

comment:6 Changed 9 years ago by angel_il

  • Votes for changeset changed from andrew_b to andrew_b angel_il

thanx for Alexander Prenko for good work

comment:7 Changed 9 years ago by slavazanko

  • Status changed from accepted to testing
  • Votes for changeset changed from andrew_b angel_il to committed-master
  • Resolution set to fixed
  • severity changed from on review to merged

merge changeset:47495258205a66eb773abe8f2460b073f62bf4ca

set of commits visible by command:

git log --pretty=oneline 649487fac17bfdd0bc9ef39c6e0852802669b1e6^..878a0fdc85e063f594fa622bb08717eece2a48e6

comment:8 Changed 9 years ago by angel_il

diff --git a/src/man2hlp/man2hlp.in b/src/man2hlp/man2hlp.in
index 18d9226..acfb078 100644
--- a/src/man2hlp/man2hlp.in
+++ b/src/man2hlp/man2hlp.in
@@ -413,7 +413,7 @@ sub handle_alt_font($)
}

# Skip more spaces
- shift @p while $p[0] eq ' ';
+ shift @p while @p && $p[0] eq ' ';

next;
}

comment:9 Changed 9 years ago by angel_il

  • Votes for changeset changed from committed-master to angel_il
  • severity changed from merged to on review

branch: 45_man2hlp_warnings_fix
changeset: eafa23a2a753f60231bd996fe00bbbb375f0b9b6

comment:10 Changed 9 years ago by slavazanko

  • Votes for changeset changed from angel_il to angel_il slavazanko
  • severity changed from on review to approved

comment:11 Changed 9 years ago by angel_il

  • Votes for changeset changed from angel_il slavazanko to committed-master
  • severity changed from approved to merged

comment:12 Changed 9 years ago by angel_il

  • Status changed from testing to reopened
  • Resolution fixed deleted

comment:13 Changed 9 years ago by zaytsev

  • Status changed from reopened to closed
  • Resolution set to fixed

comment:14 Changed 9 years ago by zaytsev

  • Status changed from closed to reopened
  • Resolution fixed deleted

It's a stable candidate, sorry for closing prematurely.

comment:15 Changed 9 years ago by angel_il

  • Votes for changeset committed-master deleted
  • severity changed from merged to on review

branch: 45_LANG_warnings_fix
changeset: 5c6154538110c45bcf0357535e3aaf0d2353aa68

this is branch need for fix warnings like this:

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_COLLATE = "C",
        LANG = "pl"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

comment:16 Changed 9 years ago by andrew_b

  • Version set to master

comment:17 Changed 9 years ago by zaytsev

  • Cc zaytsev added

I already committed a similar patch in the man branch. Also, I discovered that LANG is not needed at all, it's just a coincidence, so if you definitely want to use your branch instead of mine, remove them altogether.

comment:18 Changed 9 years ago by andrew_b

  • Status changed from reopened to closed
  • Resolution set to fixed

comment:19 Changed 9 years ago by andrew_b

  • Votes for changeset set to committed-master
  • Description modified (diff)
  • severity changed from on review to merged

comment:20 Changed 9 years ago by andrew_b

  • Keywords stable-candidate removed
  • Votes for changeset changed from committed-master to committed-master committed-stable

comment:21 Changed 6 years ago by ossi

  • Description modified (diff)
  • Branch state set to no branch
  • Reporter changed from slavazanko to roffermanns

comment:22 Changed 6 years ago by andrew_b

  • Branch state changed from no branch to merged
Note: See TracTickets for help on using tickets.